package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 生产过程上下文对象-装配件清单信息
 */
@Data
public class MesProductionAssemblyContext implements Serializable {

    private static final long serialVersionUID = 2382117884422723639L;

    @ApiParam("加工记录ID")
    private Long productionRecordId;

    @ApiParam("装配件零件号")
    private String assemblyPartNo;

    @ApiParam("装配件零件名称")
    private String assemblyPartName;

    @ApiParam("装配件条码")
    private String assemblySn;

    //非排序可能无值
    @ApiParam(value = "生产工单号")
    private String workOrderNo;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("零件条码")
    private String productSn;

    @ApiParam("客户条码")
    private String custSn;

    @ApiParam("生产工单零件号")
    private String partNo;

    @ApiParam("生产工单零件名称")
    private String partName;

    @ApiParam("装配零件类型")
    private Integer assemblyPartType;

    //10=已绑定, 20=解绑, 30=待绑定, 40=跳过(待绑定)
    @ApiParam("装配零件状态")
    private Integer assemblyStatus;

    @ApiParam("是否跳过")
    private Integer isSkip;

    @ApiParam("开模记录ID")
    private String mouldRecordId;

    @ApiParam("模具号")
    private String mouldNo;

    @ApiParam("装配件条码确认方式")
    private Integer matchType;

    @ApiParam("扫描规则")
    private String matchRule;

    //10=非排序装配件维护表ID, 20=排序线排产装配目视项ID
    @ApiParam("数据来源")
    private Integer dataSource;

    @ApiParam("来源ID")
    private Long sourceId;

    @ApiParam(value = "生产线类型 10=排序 20=非排序")
    private Integer centerType;

    @ApiParam(value = "排序/非排序产品加工规则ID")
    private Long pid;

    @ApiParam("最小值")
    private Double minValue;

    @ApiParam("最大值")
    private Double maxValue;

    @ApiParam(value = "装备序号")
    private Integer routeSeq;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("工序名称")
    private String processName;

    @ApiParam("工艺代码")
    private String craftCode;

    @ApiParam("工艺名称")
    private String craftName;

}
